## org.apache.poi.hssf.record
Class PaneRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.PaneRecord

public class PaneRecord
extends Record

Describes the frozen and unfozen panes. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `ACTIVE_PANE_LOWER_LEFT`
`static short` `ACTIVE_PANE_LOWER_RIGHT`
`static short` `ACTIVE_PANE_UPER_LEFT`
`static short` `ACTIVE_PANE_UPPER_RIGHT`
`static short` `sid`

Constructor Summary
`PaneRecord()`
`PaneRecord(short id, short size, byte[] data)` Constructs a Pane record and sets its fields appropriately.
`PaneRecord(short id, short size, byte[] data, int offset)` Constructs a Pane record and sets its fields appropriately.

Method Summary
`java.lang.Object` `clone()`
`protected void` `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` `getActivePane()` Get the active pane field for the Pane record.
`short` `getLeftColumn()` Get the left column field for the Pane record.
`int` `getRecordSize()` Size of record (exluding 4 byte header)
`short` `getSid()` return the non static version of the id for this record.
`short` `getTopRow()` Get the top row field for the Pane record.
`short` `getX()` Get the x field for the Pane record.
`short` `getY()` Get the y field for the Pane record.
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setActivePane(short field_5_activePane)` Set the active pane field for the Pane record.
`void` `setLeftColumn(short field_4_leftColumn)` Set the left column field for the Pane record.
`void` `setTopRow(short field_3_topRow)` Set the top row field for the Pane record.
`void` `setX(short field_1_x)` Set the x field for the Pane record.
`void` `setY(short field_2_y)` Set the y field for the Pane record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)
`protected void` `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### ACTIVE_PANE_LOWER_RIGHT

    public static final short ACTIVE_PANE_LOWER_RIGHT

See Also:
  Constant Field Values

### ACTIVE_PANE_UPPER_RIGHT

    public static final short ACTIVE_PANE_UPPER_RIGHT

See Also:
  Constant Field Values

### ACTIVE_PANE_LOWER_LEFT

    public static final short ACTIVE_PANE_LOWER_LEFT

See Also:
  Constant Field Values

### ACTIVE_PANE_UPER_LEFT

    public static final short ACTIVE_PANE_UPER_LEFT

See Also:
  Constant Field Values

Constructor Detail

### PaneRecord

    public PaneRecord()

### PaneRecord

    public PaneRecord(short id,
                      short size,
                      byte[] data)

  Constructs a Pane record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x41 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### PaneRecord

    public PaneRecord(short id,
                      short size,
                      byte[] data,
                      int offset)

  Constructs a Pane record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x41 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getX

    public short getX()

  Get the x field for the Pane record.

### setX

    public void setX(short field_1_x)

  Set the x field for the Pane record.

### getY

    public short getY()

  Get the y field for the Pane record.

### setY

    public void setY(short field_2_y)

  Set the y field for the Pane record.

### getTopRow

    public short getTopRow()

  Get the top row field for the Pane record.

### setTopRow

    public void setTopRow(short field_3_topRow)

  Set the top row field for the Pane record.

### getLeftColumn

    public short getLeftColumn()

  Get the left column field for the Pane record.

### setLeftColumn

    public void setLeftColumn(short field_4_leftColumn)

  Set the left column field for the Pane record.

### getActivePane

    public short getActivePane()

  Get the active pane field for the Pane record.

  Returns:
    One of ACTIVE_PANE_LOWER_RIGHT ACTIVE_PANE_UPPER_RIGHT ACTIVE_PANE_LOWER_LEFT ACTIVE_PANE_UPER_LEFT

### setActivePane

    public void setActivePane(short field_5_activePane)

  Set the active pane field for the Pane record.

  Parameters:
    `field_5_activePane` - One of ACTIVE_PANE_LOWER_RIGHT ACTIVE_PANE_UPPER_RIGHT ACTIVE_PANE_LOWER_LEFT ACTIVE_PANE_UPER_LEFT

Copyright © 2003 Apache Software Foundation.